/* CSS reset */
html {
    box-sizing: border-box;
}
*, *:before, *:after {
    box-sizing: inherit;
}

html {
    font-size: 10px;
}
body {
    font-family: sans-serif;
    margin: 0;
    font-size: 1.5rem;
    background-image: linear-gradient(260deg, #2376ae 0%, #c16ecf 100%);
}
a {
    color: white;
    text-decoration: none;
}
a.button {
    background: rgba(0, 0, 0, 0.1);
    padding: 1rem 1.5rem;
    border-radius: 4px;
}
.wrap {
    height: 100vh;
    border: 10px solid rgba(0, 0, 0, 0.8);
    border-radius: 10px;
    box-shadow: 0 0 50px rgba(0, 0, 0, 0.3);
}
main {
    padding: 20px;
    background: white;
    box-shadow: inset 0 5px 0 rgba(0, 0, 0, 0.1);
    line-height: 1.6;
}
main img {
    max-width: 50%;
    float: left;
    margin-right: 10px;
}
footer a {
    flex: 1;
    text-align: center;
    padding: 1.5rem;
    border-left: 1px solid rgba(0, 0, 0, 0.1);
    background: #EFCA51;
    color: rgba(0, 0, 0, 0.5);
    font-size: 3rem;
}
footer a:first-child {
    border-left: 0;
}
footer a:first-child, footer a:hover {
    border-bottom: 5px solid rgba(0, 0, 0, 0.1);
}
footer {
    border-top: 1px solid #E6E6E6;
}
footer i {
    display: block;
    font-size: 4rem;
    color: white;
    text-shadow: 3px 3px 0 rgba(0, 0, 0, 0.1);
    padding-bottom: 1rem;
}
header {
    background: #F0CB45;
    color: rgba(0, 0, 0, 0.5);
    padding: 1rem;
    font-size: 3rem;
}

/*
  Layout
*/
.wrap {
    display: flex;
    flex-direction: column;
}
.wrap > * {
    flex: 1 1 auto;
}
header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
main {
    overflow-y: auto;
}
footer {
    display: flex;
}
footer a {
    flex: 1;
}
